Name: Thunar
Version: 1.0.1
Release: alt3

Summary: Thunar File Manager for the XFce Desktop Environment
Summary (ru_RU.UTF-8): Файловый менеджер Thunar
Group: Graphical desktop/XFce
License: GPL
Url: http://thunar.xfce.org

Packager: Denis Koryavov <dkoryavov@altlinux.org>

Source: ftp://ftp.berlios.de/pub/xfce-goodies/%version/%name-%version.tar.bz2
Patch1: Thunar-0.9.0-missing-audio-cds-for-volman.patch
Patch2: thunar-vfs-get_eject.diff
Patch3: thunar-remove-shorcuts-view-min-len.patch
Requires: libThunar = %version-%release
BuildPreReq: rpm-build-xfce4 xfce4-dev-tools > 4.5 xfce4-panel-devel > 4.5 xfconf-utils >= 4.5  libexo-devel > 0.3.90
# Automatically added by buildreq on Thu Jan 22 2009
BuildRequires: rpm-build-xfce4 gcc-c++ gtk-doc imake intltool libSM-devel libdbus-glib-devel libexif-devel  libgamin-devel libpcre-devel libstartup-notification-devel time  xorg-cf-files

%set_automake_version 1.10
%set_autoconf_version 2.60

%description
Thunar File Manager for the XFce desktop environment.

%description -l ru_RU.UTF-8
Файловый менеджер Thunar используемый в окружении рабочего стола Xfce.

%package -n libThunar-devel
Summary: devel files for Thunar
Group: Graphical desktop/XFce
Requires: lib%name = %version
%description -n libThunar-devel
devel files for Thunar

%package -n libThunar
Summary: Shared libraries for Thunar
Group: Graphical desktop/XFce
%description -n libThunar
%summary

%prep
%setup -q -n %name-%version
#%patch1 -p0
%patch2 -p1
%patch3 -p1

%build
%xfce4reconf

%configure \
	--enable-largefile \
	--enable-gtk-doc \
	--enable-startup-notification \
	--enable-xsltproc \
	--enable-xml2po \
	--enable-debug=no \
	--enable-dbus \
	--disable-gnome-thumbnailers \
	--enable-gtk-doc \
	--enable-exif \
	--enable-wallpaper-plugin \
	--enable-pcre
%make_build

%install
%makeinstall_std
mv %buildroot%_docdir/Thunar .

%find_lang %name

%files -f %name.lang
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS Thunar/*
%_bindir/*
%_desktopdir/*
%_datadir/gtk-doc/html/thunarx/*
%_datadir/gtk-doc/html/thunar-vfs/*
%_man1dir/*
%_pixmapsdir/*
%_datadir/dbus-1/services/*
%_libexecdir/ThunarBulkRename
%_libexecdir/ThunarHelp
%_libexecdir/thunar-sendto-email
%_libexecdir/thunar-vfs-font-thumbnailer-1
%_libexecdir/thunar-vfs-mime-cleaner-1
%_libexecdir/thunar-vfs-pixbuf-thumbnailer-1
%_libexecdir/thunar-vfs-update-thumbnailers-cache-1
%_libexecdir/xfce4/panel-plugins/thunar-tpa
%_datadir/Thunar/sendto/thunar-sendto-email.desktop
%_datadir/xfce4/panel-plugins/thunar-tpa.desktop
%_datadir/thumbnailers/thunar-vfs-font-thumbnailer-1.desktop
%_liconsdir/*
%_miconsdir/*
%_libdir/thunarx-1/*.so
%_iconsdir/hicolor/scalable/apps/*
%_iconsdir/hicolor/16x16/stock/navigation/stock_thunar-shortcuts.png
%_iconsdir/hicolor/16x16/stock/navigation/stock_thunar-templates.png
%_iconsdir/hicolor/24x24/apps/Thunar.png

%files -n libThunar
%_libdir/*.so.*
%dir %_sysconfdir/xdg/Thunar
%_sysconfdir/xdg/Thunar/*

%files -n libThunar-devel
%_pkgconfigdir/*.pc
%_includedir/thunarx-1/*
%_includedir/thunar-vfs-1/*
%_libdir/*.so
%exclude %_libdir/thunarx-1/*.la

%changelog
* Sun Jul 05 2009 Denis Koryavov <dkoryavov@altlinux.org> 1.0.1-alt3
Added patch that removes minimal length limitation for width of shortcuts view pane.

* Mon May 25 2009 Denis Koryavov <dkoryavov@altlinux.org> 1.0.1-alt2
- Added autoconf and automake requirements. This is resolve problem with translation for item Make Link for some systems.

* Mon Apr 20 2009 Denis Koryavov <dkoryavov@altlinux.org> 1.0.1-alt1
Xfce 4.6.1

* Sun Apr 12 2009 Denis Koryavov <dkoryavov@altlinux.org> 1.0.0-alt1
Xfce 4.6.0

* Tue Jan 27 2009 Eugene Ostapets <eostapets@altlinux.ru> 0.9.99.1-alt1
- Xfce 4.6rc1

* Thu Jan 22 2009 Eugene Ostapets <eostapets@altlinux.ru> 0.9.93-alt1
- Xfce 4.6 beta 3

* Fri Oct 24 2008 Eugene Ostapets <eostapets@altlinux.org> 0.9.91-alt1
- Xfce 4.6 beta1

* Wed Dec 12 2007 Eugene Ostapets <eostapets@altlinux.org> 0.9.0-alt2
- fix "Eject" menu for ejectable device
- fix detect audio cd

* Mon Nov 19 2007 Eugene Ostapets <eostapets@altlinux.org> 0.9.0-alt1
- Xfce 4.4.2 release

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.8.0-alt0.1
- Xfce 4.4 release

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.5.0-alt1.1
- Rebuilt due to libdbus-1.so.2 -> libdbus-1.so.3 soname change.

* Sun Nov 05 2006 Eugene Ostapets <eostapets@altlinux.ru> 0.5.0-alt1
- Xfce 4.4rc2

* Mon Oct 30 2006 Eugene Ostapets <eostapets@altlinux.ru>  0.4.0rc1-alt2
- Fix buildreq and cleanup spec

* Tue Nov 15 2005 Eugene Ostapets <eostapets@altlinux.ru> 0.4.0rc1-alt1
- 4.4rc1
